Bug 58358 - Installer 'Giving up.' after "No coprocessor found..."
Installer 'Giving up.' after "No coprocessor found..."
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-14 18:35 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-14 19:44:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-14 18:35:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
   <...>
   CPU: Intel 486 SX stepping 03
   No coprocessor found and no math emulation present.
   Giving up.
-------------

The above lines reported while loading vmlinuz are the last three of any 
attempt to boot a 486sx with 20meg internal memory from floppies with either 
the boot.img or bootnet.img of Redhat 7.2.

The system is currently running Redhat 7.0 fine, and was targeted to be 
upgraded to 7.2.

Neither any of the 'linux dd' 'expert' 'lowres' etc. result in anything else..


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert boot disk with boot.img or bootnet.img
2. Switch on system, and select any of the options, or <RETURN> 
3. vmlinuz loading stops with reported lines
	

Actual Results:  System is stalled with reported lines.

Expected Results:  System boots into installation/upgrade cycle.

Additional info:

Hardware: Compaq Prolinea 4/33S
Comment 1 Need Real Name 2002-01-14 19:44:53 EST
The reported message and boot result, means the kernel (vmlinuz) on the boot 
disk are not configured for Math Unit Emulation. They therefor do not support 
386/486 sx systems. (As stated on the Redhat site, the supported systems are 
those of the last two years). Probably the boot images are build to 
support '586' and up processors, likely part of the new kernel used.
Obviously FPU emulation support is not included in RH 7.2.

Unfortunatly there's no information on the CD-Rom or Redhat website on this 
matter, either on how to install 7.2 on SX systems (386/486) or how to obtain a 
boot-disk that _does_ support these nonFPU's.

As far as I can see the only solution to this is to build a kernel WITh FPU 
emulation support, for which you need another Redhat 7.2 system running...


Correct me if I'm wrong...

Comment 2 Jeremy Katz 2002-01-15 12:26:10 EST
The minimum supported machine for an install is a machine with a math
coprocessor and 32 megs of RAM.  The post-install i386 kernel will work fine
without a math coprocessor, but just not the install kernel.  If you wish to
install this machine, you can take out the hard drive and attach it on another
machine and install there.  There is, unfortunately, not enough room on the boot
disk to have a kernel with math coprocessor support and all of the other things
we need
Comment 3 Mogens Kjaer 2002-02-06 04:07:33 EST
In the future, would it be possible to have 2.88Mb boot floppies?

Of course, only a few have these drives, but one can have a bootable
CDROM with an El Torido 2.88Mb floppy image.

Note You need to log in before you can comment on or make changes to this bug.